メインコンテンツへスキップ
DELETE
/
2
/
account_activity
/
webhooks
/
{webhook_id}
/
subscriptions
/
{user_id}
/
all
サブスクリプションを削除
curl --request DELETE \
  --url https://api.x.com/2/account_activity/webhooks/{webhook_id}/subscriptions/{user_id}/all \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "subscribed": true
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

webhook_id
string
必須

サブスクリプションを照会するウェブフック ID。 この Webhook 構成の一意の識別子。

Pattern: ^[0-9]{1,19}$
:

"1146654567674912769"

user_id
string
必須

サブスクリプションを解除するユーザー ID。 このユーザーの一意の識別子。大きな整数値を扱えない言語やツールとの互換性の問題を避けるため、文字列として返されます。

Pattern: ^[0-9]{1,19}$
:

"2244994945"

レスポンス

リクエストは成功しました。

data
object
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。